Skip to main content
GET
Get historical candlestick data for V2 pool by id

Headers

x-api-key
string
default:875e1017-87b8-4b12-8301-6aa1f1aa073b
required

API key for authentication. The demo api key provided is globally rate limited. Do not use in production.

Path Parameters

poolId
integer
required

Saucerswap pool id

Example:

1

Query Parameters

from
integer
required

From unix seconds

Example:

1697600000

to
integer
required

To unix seconds

Example:

1697610000

interval
enum<string>
required

Data interval

Available options:
FIVEMIN,
HOUR,
DAY,
WEEK
Example:

"HOUR"

inverted
boolean
default:false

Response

200 - application/json

Successful response

poolId
integer
required

Saucerswap pool id

Example:

1

open
number
required

The open price of the token in tinybars (i.e. first minutely observation over the INTERVAL)

Example:

0.0482115316666979

high
number
required

The high price of the token over the INTERVAL, in tinybars

Example:

0.0482115316666979

low
number
required

The low price of the token over the INTERVAL, in tinybars

Example:

0.04819650172584323

close
number
required

The close price of the token over the INTERVAL, in tinybars

Example:

0.04819650172584323

avg
number
required

The (minutely) avg price of the token over the INTERVAL, in tinybars

Example:

118.56339424557434

volume
string
required

The sum of total volume traded of the token over the INTERVAL, in tinybars

Example:

"0"

liquidity
string
required

The point in time liquidity of the token, as of timestampSeconds (the end timestamp of the INTERVAL), in tinybars

Example:

"9668737245792"

volumeUsd
string
required

The sum of total volume traded of the token over the INTERVAL, in USD

Example:

"0"

liquidityUsd
string
required

The point in time liquidity of the token, as of timestampSeconds (the end timestamp of the INTERVAL), in USD

Example:

"4653.53"

timestampSeconds
integer
required

The end unix timestamp of the INTERVAL, in seconds

Example:

1697618460

startTimestampSeconds
integer
required

The start unix timestamp of the INTERVAL, in seconds

Example:

1697616000